<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Base\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ChoiceField {

        
        public static function isValidField( $type = "" ) {
                return in_array( $type, [ 'true_false' ] );
        }

        
        public static function getData( $type = '', $data = [] ) {

                switch ( $type ) {

                        case 'true_false':
                                $data = \absint( $data ) === 1 ? "yes" : "no";
                                break;
                }

                return $data;
        }

}
