<?php



namespace WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\Taxonomy;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\Taxonomy\Fields\Seo;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function get( $fields = [], $contentType = '' ) {

                if ( \aioseo()->pro ) {
                        $fields[ "all-in-one-seo" ] = Seo::get();
                }
                return $fields;
        }

        
        public static function excludeMeta( $metas = [], $contentType = '' ) {

                $where = [ " AND `termmeta`.`meta_key` NOT LIKE '%aioseo%' " ];

                
                $where = \apply_filters( 'Wpie/Export/Taxonomy/Fields/Meta/Query/Where/AllInOneSeo', $where );

                return array_merge( $metas, $where );
        }
}
