<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon;

use WpieApp\Modules\Export\Controller\Items\Post\DataCenter as PostDataCenter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\DataCenters\Meta;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends PostDataCenter {

        
        protected static function processData() {

                $type = self::getFieldOption( "type" );

                $data = "";

                if ( 'meta' === $type ) {
                        $data = Meta::getField();
                } else {
                        $data = parent::processData();
                }


                
                return \apply_filters( 'Wpie/Export/Coupon/Data', $data, $type );
        }

}
