<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Acf\Controller\Items\Post\Fields\Acf;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {
                \add_filter( 'Wpie/Import/Post/Fields', [ __CLASS__, 'get' ], 1, 2 );
        }

        
        public static function get( $fields = [], $type = '' ) {

                $acfFields = Acf::get();

                return Helper::isNonEmptyArray( $acfFields ) ? array_replace( $fields, $acfFields ) : $fields;
        }
}
