<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Engines;

use AIOSEO\Plugin\Pro\Social\Facebook as ProFacebook;
use AIOSEO\Plugin\Pro\Social\Twitter as ProTwitter;
use AIOSEO\Plugin\Pro\Social\Output as ProOutput;
use AIOSEO\Plugin\Common\Social\Facebook;
use AIOSEO\Plugin\Common\Social\Twitter;
use AIOSEO\Plugin\Common\Social\Output;

defined( 'WPIE__FILE__' ) || exit;


class Social {

        
        private static $isInit = false;

        
        public static function init() {

                if ( self::$isInit ) {
                        return;
                }

                self::$isInit = true;

                if ( isset( \aioseo()->social->facebook ) ) {
                        return;
                }

                if ( \aioseo()->pro ) {
                        \aioseo()->social->facebook = new ProFacebook();
                        \aioseo()->social->twitter  = new ProTwitter();
                        \aioseo()->social->output   = new ProOutput();
                        return;
                }
                
                \aioseo()->social->facebook = new Facebook();
                \aioseo()->social->twitter  = new Twitter();
                \aioseo()->social->output   = new Output();
        }
}
