<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\General\Title;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\General\Description;

defined( 'WPIE__FILE__' ) || exit;


class General implements InterfaceField {

        
        public static function get() {

                return [
                        "label"        => __( 'All In One SEO - General', 'wp-import-export' ),
                        "class"        => "wpie-allinoneseo-general-fields",
                        "order"        => 32,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {
                return [
                        "allinoneseo/general/title"       => Title::getBlocks(),
                        "allinoneseo/general/description" => Description::getBlocks(),
                ];
        }
}
