<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Post\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Type {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Schema', 'wp-import-export' ),
                        "desc"     => __( 'SEO Schema', 'wp-import-export' ),
                        "order"    => 5,
                        "isActive" => true,
                        "fields"   => [
                                "schema" => [
                                        "order"      => 5,
                                        "label"      => __( 'Schema', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "schema" => [
                                                        "description" => __( "SEO Schema", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/schema/schema/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Due to the nature of data and complexity of data, only exported data supported from the same plugin', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
