<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Post;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Post\Fields\Multilingual;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {

                \add_filter( 'Wpie/Import/Base/Fields', [ __CLASS__, 'get' ], 1, 2 );

                \add_filter( 'Wpie/Import/Post/Taxonomy/Excludes', [ __CLASS__, 'getExcludeTaxonomy' ] );
        }

        
        public static function get( $fields = [], $type = '' ) {


                $fields[ "polylang" ] = Multilingual::get();

                return $fields;
        }

        
        public static function getExcludeTaxonomy( $taxonomies = [] ) {

                $taxonomies[] = "post_translations";
                $taxonomies[] = "language";

                return $taxonomies;
        }
}
