<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Facebook;

defined( 'WPIE__FILE__' ) || exit;


class Description {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Description', 'wp-import-export' ),
                        "desc"   => __( 'Facebook Description', 'wp-import-export' ),
                        "order"  => 10,
                        "fields" => [
                                "description" => [
                                        "order"      => 5,
                                        "label"      => __( 'Facebook Description', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "description" => [
                                                        "description" => __( "SEO Facebook Description", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/facebook/description/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
