<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\User;

use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        public static function processField( $field = '' ) {

                parent::processField( $field );

                static::updateProfile( $field );
        }

        
        protected static function updateProfile( $field = "" ) {

                $fields = [
                        'seotwitterusernamewithout' => 'twitter',
                        'seofacebookprofileurl'     => 'facebook',
                        'seoadditionalprofileurls'  => 'additional_profile_urls',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'profile/' . $fields[ $field ], $field );
        }
}
