<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Country {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Country / Region', 'wp-import-export' ),
                        "desc"   => __( 'Country / Region', 'wp-import-export' ),
                        "order"  => 80,
                        "fields" => [
                                "country" => [
                                        "order"      => 10,
                                        "label"      => __( 'Country / Region', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "country" => [
                                                        "description" => __( 'Country / Region', 'wp-import-export' ),
                                                        "name"        => "fields/billing/country/data",
                                                        "type"        => "textarea",
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
