<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Customer;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class User {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Customer', 'wp-import-export' ),
                        "desc"          => __( 'Order Customer', 'wp-import-export' ),
                        "order"         => 10,
                        "isRecommended" => true,
                        "isActive"      => true,
                        "fields"        => [
                                "item-customer" => [
                                        "order"      => 5,
                                        "label"      => __( 'Customer', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "customer" => [
                                                        "description" => __( 'Order Customer', 'wp-import-export' ),
                                                        "name"        => "fields/customer/user/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : Guest', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Enter username, login or email address', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
