<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class OrderNumber {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Order Number', 'wp-import-export' ),
                        "desc"   => __( 'Order Number', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "number" => [
                                        "order"      => 5,
                                        "label"      => __( 'Order Number', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "key" => [
                                                        "description" => __( 'Order Number', 'wp-import-export' ),
                                                        "name"        => "fields/standard/order-number/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ "text" => __( 'To identify other site order by id', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only apply if order is exported from other site', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Fill other site export id', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }
}
