<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ButtonText {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Button Text', 'wp-import-export' ),
                        "desc"   => __( 'Button Text', 'wp-import-export' ),
                        "order"  => 70,
                        "fields" => [
                                "button-text" => [
                                        "order"      => 10,
                                        "label"      => __( 'Button Text', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "button-text" => [
                                                        "description" => __( 'Button Text for External/Affiliate product', 'wp-import-export' ),
                                                        "name"        => "fields/general/button-text/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
