<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Comment\AutoDetect as Base;

defined( 'WPIE__FILE__' ) || exit;


class AutoDetect extends Base {

        
        protected static function updateStandard( $field = "" ) {

                parent::updateStandard( $field );

                $fields = [
                        'rating' => 'rating',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'standard/' . $fields[ $field ], $field );
        }

        
        protected static function updatePost( $field = "" ) {

                $fields = [
                        'producttitle' => 'title',
                        'productslug'  => 'slug',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::updateField( 'post/' . $fields[ $field ] . '/data', $field );

                static::updateList( 'post/post_data' );
        }

        
        protected static function updateExtra( $field = "" ) {

                parent::updateExtra( $field );

                $fields = [
                        'verified' => 'verified',
                ];

                if ( !isset( $fields[ $field ] ) ) {
                        return;
                }

                static::update( 'extra/' . $fields[ $field ], $field );
        }
}
