<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class NoSnippet {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Robots No Snippet', 'wp-import-export' ),
                        "desc"   => __( 'Robots No Snippet', 'wp-import-export' ),
                        "order"  => 25,
                        "fields" => [
                                "nosnippet" => [
                                        "order"      => 5,
                                        "label"      => __( 'Robots No Snippet', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "nosnippet" => [
                                                        "description" => __( "SEO Robots No Snippet", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/advanced/nosnippet/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( '0, 1, yes, no, true, false,on, off values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
