<?php

namespace WpieApp\Modules\Debug;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Providers\Middleware as BaseMiddleware;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        public function boot() {

                // add menu...
                $this->createMenu( __( 'Debug', 'wp-import-export' ), $this->getAssets(), 60 );
        }

        
        public function getAssets() {

                $moduleURL = Helper::activeModuleURL();

                return [                       
                        'scripts' => [
                                Helper::PLUGIN_PREFIX . 'debug' => [
                                        "src"  => $moduleURL . '/assets/js/debug.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin' ],
                                ]
                        ]
                ];
        }

}
