<?php



namespace WpieApp\Modules\Export\Controller\Items\Base\DataCenters;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\DataCenters\Base as DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Meta {

        
        public static function getField() {

                $metaKey = DataCenter::getFieldOption( "element" );

                
                $data = \apply_filters( 'Wpie/Export/Base/Meta/Data', self::getData(), $metaKey, Settings::getContentType() );

                return DataCenter::handleArr( $data, "||" );
        }

        
        public static function getData() {

                $metaKey = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $metaKey ) ) {
                        return "";
                }

                $data = static::getMeta( $metaKey );

                if ( \is_array( $data ) && count( $data ) === 1 ) {
                        $data = isset( $data[ 0 ] ) ? $data[ 0 ] : "";
                }

                return static::processMeta( $metaKey, $data );
        }

        
        public static function getMeta( $metaKey = '' ) {

                return '';
        }

        
        public static function processMeta( $key = '', $data = '' ) {

                return $data;
        }
}
