<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Karma {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"    => __( 'Karma', 'wp-import-export' ),
                        "desc"     => __( 'Karma', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "karma" => [
                                        "order"      => 10,
                                        "label"      => __( 'Karma', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "karma" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'The karma of the %s', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/extra/karma/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
