<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields\Standard;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Date {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"         => __( 'Date', 'wp-import-export' ),
                        "desc"          => __( 'Date', 'wp-import-export' ),
                        "order"         => 40,
                        "isRecommended" => true,
                        "fields"        => [
                                "date" => [
                                        "order"      => 10,
                                        "label"      => __( 'Date', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "date" => [
                                                        /* translators: %s: content type */
                                                        "description" => sprintf( __( 'The date the %s was submitted.', 'wp-import-export' ), $contentType ),
                                                        "name"        => "fields/standard/date/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Recommended', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : Current server date', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'All date formats are supported.', 'wp-import-export' ) ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
