<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Fields\Taxonomies;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Settings', 'wp-import-export' ),
                        "desc"       => __( 'Taxonomy Settings', 'wp-import-export' ),
                        "order"      => 1,
                        "uid"        => Helper::randStr( "wpie-field-" ),
                        "block-type" => "options",
                        "fields"     => [
                                "manage-existing" => [
                                        "order"      => 10,
                                        "label"      => __( 'Manage Existing', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "update-existing" => [
                                                        "name"    => "fields/taxonomies/options/manage-existing",
                                                        "class"   => "wpie-image-manage-existing",
                                                        "order"   => 5,
                                                        "type"    => "radio",
                                                        "default" => "append",
                                                        "choices" => [
                                                                "append" => __( "Append Terms", 'wp-import-export' ),
                                                                "remove" => __( "Replace Terms", 'wp-import-export' )
                                                        ],
                                                        "hints"   => [
                                                                "append" => __( "Append new terms and keep Existing terms", 'wp-import-export' ),
                                                                "remove" => __( "Remove/Replace existing terms and Add new terms", 'wp-import-export' )
                                                        ]
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
