<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\AutoSearch;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Comment\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Term\Engines\Parents;

defined( 'WPIE__FILE__' ) || exit;


class Data {

        
        public static function getSlug() {

                $field = DataCenter::canUpdate( "standard/slug" ) ? DataCenter::get( "standard/slug/data" ) : '';

                if ( !Helper::isNonEmptyStr( $field ) || 'auto' === $field ) {

                        $field = DataCenter::getFileData( '{slug}' );
                }

                if ( !Helper::isNonEmptyStr( $field ) || 'auto' === $field ) {
                        return false;
                }

                return $field;
        }

        
        public static function getName() {

                $field = DataCenter::canUpdate( "standard/name" ) ? DataCenter::get( "standard/name/data" ) : '';

                if ( !Helper::isNonEmptyStr( $field ) ) {

                        $field = DataCenter::getFileData( '{name}' );
                }

                if ( !Helper::isNonEmptyStr( $field ) ) {
                        return false;
                }

                return $field;
        }

        
        public static function getParent() {

                return Parents::getParent();
        }

}
