<?php



namespace WpieApp\Modules\Import\Controller\Items\User;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\Search\Meta;

defined( 'WPIE__FILE__' ) || exit;


class Search {

        
        public static function getUserIdByMeta( $key = '', $val = '' ) {
                return Meta::Search( $key, $val );
        }

        
        public static function getUserIdBy( $field = '', $value = '' ) {

                if ( !Helper::isNonEmptyStr( $field ) || !Helper::isNonEmptyStr( $value ) ) {
                        return 0;
                }

                $user = \get_user_by( $field, $value );

                return ($user !== false && isset( $user->ID ) ? $user->ID : 0);
        }

}
