<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Search;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Meta {

        
        public static function search( $key = '', $value = '' ) {

                if ( !Helper::isNonEmptyStr( $key ) || (!Helper::isNonEmptyStr( $value ) && !is_numeric( $value )) ) {
                        return 0;
                }

                return DB::wpdb()->get_var(
                                DB::wpdb()->prepare(
                                        "SELECT `user_id` FROM " . DB::wpdb()->usermeta
                                        . " WHERE `meta_key` = %s AND `meta_value` = %s ORDER BY `user_id` ASC LIMIT 1",
                                        $key,
                                        $value
                                )
                );
        }

}
