<?php



namespace WpieApp\Modules\Logs\View\Logs;

defined( 'WPIE__FILE__' ) || exit;


class Export {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Logs/View/Export',
                        [
                                "title"    => __( 'Export Logs', 'wp-import-export' ),
                                "order"    => 10,
                                "isActive" => true,
                                "desc"     => __( 'Manage Export Logs', 'wp-import-export' ),
                                "fields"   => [
                                        "export-log" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "log" => [
                                                                'bg-class' => "bg-white",
                                                                "type"     => "export-log",
                                                                "order"    => 10,
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                );
        }

}
