<?php



namespace WpieApp\Modules\Schedules\View\Schedules;

defined( 'WPIE__FILE__' ) || exit;


class Status {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Schedules/View/Status',
                        [
                                "title"    => __( 'Status', 'wp-import-export' ),
                                "order"    => 10,
                                "isActive" => true,
                                "desc"     => __( 'Schedule Status', 'wp-import-export' ),
                                "fields"   => [
                                        "schedule-status" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "schedule-status" => [
                                                                'bg-class'            => "bg-white",
                                                                "type"                => "schedule-status",
                                                                "order"               => 10,
                                                                "apply-default-class" => false,
                                                                "bg-class"            => "bg-white",
                                                                "outer-class"         => "m-0 p-0",
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                );
        }

}
