<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Base;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function excludeValueQuery() {

                return 'SELECT DISTINCT ' . DB::wpdb()->posts . '.`post_name` FROM ' . DB::wpdb()->posts . ' WHERE ' . DB::wpdb()->posts . ".`post_type` = 'acf-field' AND " . DB::wpdb()->posts . ".`post_status` = 'publish'";
        }

        
        public static function excludeKeyQuery() {

                return 'SELECT DISTINCT SUBSTRING(' . DB::wpdb()->postmeta . '.`meta_key`,2) AS `metakeys` FROM ' . DB::wpdb()->postmeta . ' WHERE ' . DB::wpdb()->postmeta . ".`meta_value` IN (". self::excludeValueQuery().")";
        }
}
