<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Coupon implements InterfaceField {

        
        const FIELD_TYPE = "coupon";

        
        public static function get() {


                $fields = [
                        "title"      => \esc_html__( "Coupon", 'wp-import-export' ),
                        "priority"   => 100,
                        'isFiltered' => false,
                        "data"       => [
                                [ 'label' => 'Coupons Name', 'type' => self::FIELD_TYPE, 'element' => 'name' ],
                                [ 'label' => 'Coupons Amount', 'type' => self::FIELD_TYPE, 'element' => 'discount' ],
                                [ 'label' => 'Coupons tax', 'type' => self::FIELD_TYPE, 'element' => 'discount_tax' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Order/Fields/Discounts', $fields, Settings::getContentType() );
        }

}
