<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook;

defined( 'WPIE__FILE__' ) || exit;


class Video {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Video Url', 'wp-import-export' ),
                        "desc"   => __( 'Facebook Video Url', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "video" => [
                                        "order"      => 5,
                                        "label"      => __( 'Video Url', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "video" => [
                                                        "description" => __( "SEO Facebook Video Url", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/facebook/video/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
