<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class Keywords {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Keywords', 'wp-import-export' ),
                        "desc"   => __( 'SEO Keywords', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "keywords"       => [
                                        "order"      => 5,
                                        "label"      => __( 'Keywords', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "keywords" => [
                                                        "description" => __( "SEO Keywords", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/general/keywords/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( "e.g. keywords1,keywords2,...", 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 10,
                                        "label"      => __( 'Keywords Data separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'Each Keywords separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "name"        => "fields/allinoneseo/general/keywords/separator",
                                                        "value"       => ",",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Default : ,(comma)', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
