<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class General {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'rankmathseo/general/title' ) ) {
                        $data[ "title" ] = DataCenter::get( "rankmathseo/general/title/data" );
                }

                if ( DataCenter::canUpdate( 'rankmathseo/general/description' ) ) {
                        $data[ "description" ] = DataCenter::get( "rankmathseo/general/description/data" );
                }

                if ( DataCenter::canUpdate( 'rankmathseo/general/focus_keyword' ) ) {
                        $data[ "focus_keyword" ] = DataCenter::get( "rankmathseo/general/focus_keyword/data" );
                }

                return $data;
        }
}
