<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits;

defined( 'WPIE__FILE__' ) || exit;


class UsageLimitPerCoupon {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Usage limit per coupon', 'wp-import-export' ),
                        "desc"     => __( 'Usage limit per coupon', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "usage_limit" => [
                                        "order"      => 10,
                                        "label"      => __( 'Usage limit per coupon', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "usage_limit" => [
                                                        "description" => __( "Set the amount of times this coupon can be used.", 'wp-import-export' ),
                                                        "name"        => "fields/usage_limit/usage_limit/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Positive numbers only', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
