<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Type\ProductType;

defined( 'WPIE__FILE__' ) || exit;


class Type implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Type', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"           => __( 'Product Type', 'wp-import-export' ),
                        "class"           => "wpie-wc-type-fields",
                        "hide-bulk-check" => true,
                        "order"           => 12.03,
                        "blocks"          => [
                                "type/product-type" => ProductType::getBlocks(),
                        ]
                ];
        }

}
