<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Search\Variation;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Post\Search as PostSearch;

defined( 'WPIE__FILE__' ) || exit;


class Search extends PostSearch {

        
        public static function findVariation() {
                return Variation::search();
        }

        
        public static function findVariationParent() {

                $productType = DataCenter::get( 'type/product-type/data' );

                if ( !in_array( $productType, [ 'variable', 'variable' ] ) ) {
                        return 0;
                }
        }

}
