<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Post as CommentPost;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Post\PostData;

defined( 'WPIE__FILE__' ) || exit;


class Post extends CommentPost implements InterfaceField {

        
        public static function getFields() {

                return [
                        "label"           => __( 'Product', 'wp-import-export' ),
                        "class"           => "wpie-post-fields",
                        "order"           => 15,
                        "hide-bulk-check" => true,
                        "blocks"          => [
                                "post/post_data" => PostData::getBlocks(),
                        ]
                ];
        }

}
