<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Engines\Advanced as Base;

defined( 'WPIE__FILE__' ) || exit;


class Advanced extends Base {

        
        public static function get() {

                $data = parent::get();

                if ( DataCenter::canUpdate( 'yoastseo/advanced/noindex' ) ) {

                        $noindex = DataCenter::get( "yoastseo/advanced/noindex/data" );

                        $data[ 'meta-robots-noindex' ] = Helper::autoFixStr( $noindex, [ "default", "index", "noindex" ] );
                }

                return $data;
        }
}
