<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User;

use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\General;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Social;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {

                \add_filter( 'Wpie/Import/User/Fields', [ __CLASS__, 'get' ], 1, 2 );
        }

        
        public static function get( $fields = [], $type = '' ) {

                $fields[ "yoastseo-general" ] = General::get();

                $fields[ "yoastseo-social" ] = Social::get();

                if ( \defined( 'WPSEO_PREMIUM_VERSION' ) ) {
                        $fields[ "yoastseo-schema" ] = Schema::get();
                }
                return $fields;
        }
}
