<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Language {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Language(s) Spoken', 'wp-import-export' ),
                        "desc"   => __( 'Language(s) Spoken', 'wp-import-export' ),
                        "order"  => 35,
                        "fields" => [
                                "language"       => [
                                        "order"      => 5,
                                        "label"      => __( 'Language(s) Spoken', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "language" => [
                                                        "description" => __( "SEO Language(s) Spoken", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/schema/language/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Multiple value support', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'e.g. English, French, Dutch', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 10,
                                        "label"      => __( 'Language Data separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'Each Language separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "name"        => "fields/yoastseo/schema/language/separator",
                                                        "value"       => ",",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Default : comma(,)', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
