<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Headers;

use WP_Error;
use GuzzleHttp\Psr7\Utils;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

	
	public static function get( $uri ) {

		$uri = Utils::uriFor( $uri );

		$headers = Standard::get( $uri );

		if ( Helper::isNonEmptyArray( $headers ) ) {
			return $headers;
		} elseif ( is_wp_error( $headers ) ) {
			return $headers;
		}

		$headers = Wp::get( $uri );

		if ( Helper::isNonEmptyArray( $headers ) ) {
			return $headers;
		} elseif ( is_wp_error( $headers ) ) {
			return $headers;
		}

		return GuzzleHttp::get( $uri );
	}

}
